{% load gestion_projets_extras %}
{% load static %}

<!-- Affichage des erreurs -->
{% if project_user.count == 0 %}
    <div class="remark warning"><p>Vous n'avez pas de projet affecté.</p></div>
{% else %}

    {% if project_user.count > 1 %}
        <div class="remark warning">Erreur : Nombre de projets sélectionnés trop important</div>
    {% endif %}

<div class="p-5">
    {% for project in project_user %}
        <div class="grid">
            <div class="row">
                <div class="cell-lg-2"><strong>Votre Sujet :</strong></div>
                <div class="cell-lg-10">{{ project.subject.title }}</div>
            </div>
            <div class="row">
                <div class="cell-lg-2"><strong>Votre lien GIT :</strong></div>
                <div class="cell-lg-10">
                    <form action="{% url 'gestion_projets:session_project_git_view' session.id project.id %}" method="POST" enctype="multipart/form-data">
                        {% csrf_token %}
                        <input type="text" name="git_url" data-role="input" value="{{ project.git_url }}" >
                        <button class="button info" title="Ajouter un dépôt" type="submit">Soumettre</button>
                    </form> 
                </div>
            </div>
            <div class="row">
                <div class="cell-lg-2"><strong>Description :</strong></div>
                <div class="cell-lg-10">{{ project.subject.description|safe }}</div>
            </div>
            <div class="row">
                <div class="cell-lg-2"><strong>Votre Tuteur :</strong></div>
                <div class="cell-lg-10"><A HREF="mailto:{{ project.subject.user.email }}"><span class="mif-contacts-mail mif-2x fg-blue"> {{ project.subject.user.first_name }} {{ project.subject.user.last_name }}</span></A></div>
            </div>
            <div class="row">
                <div class="cell-lg-2"><strong>Membres :</strong></div>
                <div class="cell-lg-10"><A HREF="mailto:{% for user in project.users.all %}{{ user.email }};{% endfor %}">
                    <span class="mif-contacts-mail mif-2x fg-blue"> {% for user in project.users.all %}{{ user.first_name }} {{ user.last_name }} {% endfor %}</span></A>
                </div>
            </div>
            <div class="row">
                <div class="cell-lg-3 cell-sm-6 mt-2">
                    <div class="icon-box border bd-cyan">
                        <div class="icon bg-cyan fg-white"><span class="mif-file-empty"></span></div>
                        <div class="content p-4">
                            <div class="text-upper">Comptes rendus</div>
                            <div class="text-upper text-bold text-lead">{{ project|count_report }} / {{ session|count_date_report }}</div>
                        </div>
                    </div>
                </div>
                <div class="cell-lg-3 cell-sm-6 mt-2">
                    <div class="icon-box border bd-red">
                        <div class="icon bg-red fg-white"><span class="mif-versions"></span></div>
                        <div class="content p-4">
                            <div class="text-upper">Total Comptes rendus</div>
                            <div class="text-upper text-bold text-lead">{{ session.datereport_set.count }}</div>
                        </div>
                    </div>
                </div>
                <div class="cell-lg-3 cell-sm-6 mt-2">
                    <div class="icon-box border bd-cyan">
                        <div class="icon bg-cyan fg-white"><span class="mif-star-empty"></span></div>
                        <div class="content p-4">
                            <div class="text-upper">Nombre d'étoiles</div>
                            <div class="text-upper text-bold text-lead">{{ project|count_star_report }} / {{ session|count_star_date_report }}</div>
                        </div>
                    </div>
                </div>
                <div class="cell-lg-3 cell-sm-6 mt-2">
                    <div class="icon-box border bd-red">
                        <div class="icon bg-red fg-white"><span class="mif-sun"></span></div>
                        <div class="content p-4">
                            <div class="text-upper">Nombre maximum d'étoiles</div>
                            <div class="text-upper text-bold text-lead">{{ session|count_star_total_report }}</div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <br>
    
        <div class="grid">
        <div class="row">
            <!-- -------------------------------- DEPOSIT ----------------------------------- -->
            <div class="cell-lg-6">
                <h3>Etapes principales</h3>
                {% if session.datedeposit_set.count == 0 %}
                    <!-- Pas de compte rendu de session-->
                    <p>Pas de dépôt à rendre</p>
                {% else %}
                <!-- Liste des étapes -->
                <table class="table">
                    <thead>
                    <tr>
                        <th>Date limite</th>
                        <th>Titre</th>
                        <th>Action</th>
                        <th>Validation</th>
                    </tr>
                    </thead>
                    <tbody>
                        {% for datedeposit in session.datedeposit_set.all %}
                        <tr >
                            <td>{{ datedeposit.date_limit }}</td>
                            <td>{{ datedeposit.title }}</td>

                            {% if project|exist_deposit:datedeposit  %}
                                <!-- Dépôt étudiant déposé -->
                                {% for deposit in project.deposit_set.all %}
                                    {% if deposit.dateDeposit == datedeposit  %}
                                        <!-- Si c'est le bon dépôt -->
                                        <td>
                                            {% if datedeposit.date_limit < deposit.date_deposit  %}
                                                <span class="mif-warning mif-2x fg-red" title="Date limite dépassée"></span>
                                            {% endif %}
                                            Déposé le {{ deposit.date_deposit }}
                                            <div id="info-box-deposit-{{ datedeposit.id }}" class="info-box-1" data-width="720" data-role="infobox">
                                                <span class="button square closer"></span>
                                                <div class="info-box-content">
                                                    <h3>Dépôt du {{ datedeposit.title }}</h3>
                                                    <center>Déposé le {{ deposit.date_deposit }}</center>
                                                    <p>Description : {{ deposit.description|safe }}</p>
                                                </div>
                                                <center><a class="image-button success" href="{{ deposit.upload.url }}" target="_blank"><span class="mif-file-text icon"></span>
                                                    <span class="caption">Voir</span>
                                                </a></center><br><br>
                                            </div>  
                                            <button class="image-button success" onclick="$('#info-box-deposit-{{ datedeposit.id }}').data('infobox').open()"><span class="mif-file-text icon"></span>
                                                    <span class="caption">Voir</span>
                                                </button>
                                        </td>
                                        <td>
                                            <!--span class="pl-10-md mif-checkmark mif-2x fg-green"></span-->
                                            {% for i in deposit.note|times %}
                                                <span class="mif-star-full fg-green"></span>     
                                            {% endfor %}
                                            {% for i in deposit.note|timesMinus5 %}
                                                <span class="mif-star-empty fg-red"></span>     
                                            {% endfor %}
                                        </td>
                                    {% endif %}
                                {% endfor %}
                            {% else %}
                                <!-- Dépôt étudiant non déposé -->
                                <td>
                                    <div id="info-box-deposit-{{ datedeposit.id }}" class="info-box-1" data-width="720" data-role="infobox"  style="overflow-y:scroll;">
                                        <span class="button square closer"></span>
                                        <div class="info-box-content">
                                            <h3>Déposer le {{ datedeposit.title }}</h3>
                                            <p>Description dépôt.</p>
                                            <form action="{% url 'gestion_projets:session_deposit_new_view' session.id project.id datedeposit.id %}" method="POST" enctype="multipart/form-data">
                                                {% csrf_token %}

<textarea id="desc_student_{{ session.id }}_{{ project.id }}_{{ datedeposit.id }}" name="description" ><b>Description :</b><br>
<b>Commentaires :</b></textarea>
                                            <small class="text-muted">Pour la mise en forme de votre compte rendu, vous pouvez utiliser les balises html (b, i, ul et li, ...)</small>
                                            <p></p>
<input type="file" name="document">
                                            <br>
                                                <center><button class="button info" title="Ajouter un dépôt" type="submit">Soumettre</button></center>

                                            <small class="text-muted">Attention, il n'est pas possible de modifier votre dépôt après soumission.</small>
                                            </form>  
                                        </div>
                                    </div> 

                                    <button class="image-button info" onclick="$('#info-box-deposit-{{ datedeposit.id }}').data('infobox').open()">
                                        <span class="mif-upload icon"></span>
                                        <span class="caption">Déposer</span></button>
                                </td>
                                <td>
                                    <span class="pl-10-md mif-cross mif-2x fg-red"></span>
                                </td>
                            {% endif %}
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
                {% endif %}
            </div>

            <!-- -------------------------------- REPORT ----------------------------------- -->

            <div class="cell-lg-6">
                <h3>Comptes rendus</h3>
                {% if session.datereport_set.count == 0 %}
                    <!-- Pas de compte rendu de session-->
                    <p>Pas de compte rendu à rendre</p>
                {% else %}

                    <!-- Liste des comptes rendus -->
                    <table class="table">
                        <thead>
                        <tr>
                            <th>Date limite</th>
                            <th>Détail</th>
                            <th>Action</th>
                            <th>Validation</th>
                        </tr>
                        </thead>
                        <tbody>
                            {% for datereport in session.datereport_set.all %}
                            <tr >
                                <td>{{ datereport.date_limit }}</td>
                                
                                {% if project|exist_report:datereport  %}
                                    <!-- Compte rendu étudiant déposé -->
                                    {% for report in project.report_set.all %}
                                        {% if report.dateReport == datereport  %}
                                            <!-- Si c'est le bon compte rendu -->
                                            <td>
                                                {% if datereport.date_limit < report.date_deposit  %}
                                                    <span class="mif-warning mif-2x fg-red" title="Date limite dépassée"></span>
                                                {% endif %}
                                                Déposé le {{ report.date_deposit }}
                                            </td>
                                            <td>
                                                <div id="info-box-{{ datereport.id }}" class="info-box-1" data-width="720" data-role="infobox"  style="overflow-y:scroll;">
                                                    <span class="button square closer"></span>
                                                    <div class="info-box-content">
                                                        <h3>Compte Rendu du {{ report.dateReport.date_limit }}</h3>
                                                        <p>{{ report.description|safe }}</p>
                                                    </div>
                                                </div>  
                                                <button class="image-button success" onclick="$('#info-box-{{ datereport.id }}').data('infobox').open()">   
                                                    <span class="mif-file-text icon"></span>
                                                    <span class="caption">Voir</span>
                                                </button>
                                            </td>
                                            <td>
                                                {% if report.is_valid %}
                                                    {% if report.checkbox_contact %}
                                                        <span class="mif-star-full fg-green" title="Contact du tuteur"></span>
                                                    {% else %}
                                                        <span class="mif-star-empty fg-red" title="Contact du tuteur"></span>
                                                    {% endif %}
                                                    {% if report.checkbox_task_previous %}
                                                        <span class="mif-star-full fg-green" title="Tâches de la période précédente"></span>
                                                    {% else %}
                                                        <span class="mif-star-empty fg-red" title="Tâches de la période précédente"></span>
                                                    {% endif %}
                                                    {% if report.checkbox_task_next %}
                                                        <span class="mif-star-full fg-green" title="Tâches prévu pour la prochaine période"></span>
                                                    {% else %}
                                                        <span class="mif-star-empty fg-red" title="Tâches prévu pour la prochaine période"></span>
                                                    {% endif %}
                                                    {% if report.checkbox_members %}
                                                        <span class="mif-star-full fg-green" title="Distribution entre les membres du groupe"></span>
                                                    {% else %}
                                                        <span class="mif-star-empty fg-red" title="Distribution entre les membres du groupe"></span>
                                                    {% endif %}
                                                    {% if report.checkbox_time %}
                                                        <span class="mif-star-full fg-green" title="Déposé dans les temps"></span>
                                                    {% else %}
                                                        <span class="mif-star-empty fg-red" title="Déposé dans les temps"></span>
                                                    {% endif %}
                                                    {% if report.comment %}
                                                        <a class="button success" title="{{ report.comment }}" href="#"><center>
                                                            <span class="mif-info icon"></span></center>
                                                        </a>
                                                    {% endif %}
                                                {% else %}
                                                    <span class="pl-10-md mif-cross mif-2x fg-red"></span>
                                                {% endif %}
                                            </td>
                                        {% endif %}
                                    {% endfor %}
                                {% else %}
                                    <!-- Compte rendu étudiant non déposé -->
                                    <td>En attente</td>
                                    <td>
                                        <div id="info-box-{{ datereport.id }}" class="info-box-1" data-width="720" data-role="infobox" 
                                                style="position: absolute; top: 212px; min-height: 600px; max-height: 600px;">
                                            <span class="button square closer"></span>
                                            <div class="info-box-content">
                                                <h3>Ajouter un Compte Rendu</h3>
                                                <p>Dans le CR, vous devez décrire les tâches que vous avez réalisées depuis le dernier CR et les tâches que vous avez programmé jusqu'au prochain CR.</p>
                                                <form action="{% url 'gestion_projets:session_report_new_view' session.id project.id datereport.id %}" method="POST">
                                                    {% csrf_token %}
                                                    <script type="module">
                                                        import { initializeCKEditor } from "{% static "js/ckeditor-init.js" %}";
                                                        initializeCKEditor('#desc_student_{{ session.id }}_{{ project.id }}_{{ datedeposit.id }}');
                                                        initializeCKEditor('#desc_student_report_{{ session.id }}_{{ project.id }}_{{ datereport.id }}');
                                                    </script>

                                                    <div style="max-height: 350px !important; overflow-y: auto;">
                                                        
    <textarea id="desc_student_report_{{ session.id }}_{{ project.id }}_{{ datereport.id }}" name="description">
        <b>Groupe : {% for user in project.users.all %}{{ user.first_name }} {{ user.last_name }} {% endfor %}</b><br><br>
        <b>Description :</b><br><br>
        <b>Tâches réalisées :</b>
        <ul>
            <li>Tâche 1, Prénom nom 1 ...</li>
            <li>Tâche 2, Prénom nom 2 ...</li>
        </ul>
        <b>Tâches à réaliser :</b>
        <ul>
            <li>Tâche 1 ...</li>
            <li>Tâche 2 ...</li>
        </ul>
        <b>Autres remarques :</b></textarea>
                                                    </div>

                                            <small class="text-muted">Pour la mise en forme de votre compte rendu, vous pouvez utiliser les balises html (b, i, ul et li, ...)</small><br><br>
                                                <center><button class="image-button info" title="Ajouter un compte rendu" type="submit">
                                                    <span class="mif-upload icon"></span>
                                                    <span class="caption">Déposer</span>
                                                </button></center>
                                            <small class="text-muted">Attention, il n'est pas possible de modifier votre compte rendu après soumission.</small>
                                                </form>  
                                            </div>
                                        </div>  
                                        <button class="image-button info" onclick="$('#info-box-{{ datereport.id }}').data('infobox').open()">
                                            <span class="mif-upload icon"></span>
                                            <span class="caption">Déposer</span>
                                        </button>
                                    </td>
                                    <td>
                                        <span class="pl-10-md mif-cross mif-2x fg-red"></span>
                                    </td>
                                {% endif %}
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                {% endif %}

            </div>
        </div>
        </div>
    {% endfor %}
</div>
{% endif %}

